Changeset 30674


Ignore:
Timestamp:
2012-02-21T23:47:27+01:00 (5 years ago)
Author:
acinonyx
Message:

[packages] quagga: Drop support for Quagga 0.98.6

Location:
packages/net/quagga
Files:
9 deleted
1 edited

Legend:

Unmodified
Added
Removed
  • packages/net/quagga/Makefile

    r29128 r30674  
    11# 
    2 # Copyright (C) 2006-2011 OpenWrt.org 
     2# Copyright (C) 2006-2012 OpenWrt.org 
    33# 
    44# This is free software, licensed under the GNU General Public License v2. 
     
    99 
    1010PKG_NAME:=quagga 
    11 ifneq ($(CONFIG_QUAGGA_OLD),) 
    12   PKG_VERSION:=0.98.6 
    13   PKG_RELEASE:=11 
    14   PKG_MD5SUM:=b0d4132039953a0214256873b7d23d68 
    15   PATCH_DIR:=./patches-old 
    16 else 
    17   PKG_VERSION:=0.99.20 
    18   PKG_RELEASE:=2 
    19   PKG_MD5SUM:=64cc29394eb8a4e24649d19dac868f64 
    20 endif 
     11PKG_VERSION:=0.99.20 
     12PKG_RELEASE:=2 
     13PKG_MD5SUM:=64cc29394eb8a4e24649d19dac868f64 
    2114 
    2215PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz 
     
    2518                http://www.uk.quagga.net/download/ 
    2619PKG_CONFIG_DEPENDS:= \ 
    27         CONFIG_QUAGGA_OLD \ 
    2820        CONFIG_IPV6 \ 
    2921        CONFIG_PACKAGE_quagga-libzebra \ 
     
    5345define Package/quagga 
    5446  $(call Package/quagga/Default) 
    55   DEPENDS:=+!QUAGGA_OLD:librt 
     47  DEPENDS:=+librt 
    5648  MENU:=1 
    5749endef 
     
    6153  with routing protocols support such as RIPv1, RIPv2, RIPng, OSPFv2, 
    6254  OSPFv3, BGP-4, and BGP-4+ 
    63 endef 
    64  
    65 define Package/quagga/config 
    66 config QUAGGA_OLD 
    67         depends on (PACKAGE_quagga && BROKEN) 
    68         default n 
    69         bool "Use the old release version 0.98.6" 
    70         help 
    71           This option allows you to select the old version of Quagga to be built. 
    7255endef 
    7356 
Note: See TracChangeset for help on using the changeset viewer.